Another Desperate Call for Help -1 reply

Please wait...

Commie

The elusive Member 132837.

50 XP

23rd December 2005

0 Uploads

1,850 Posts

0 Threads

#1 12 years ago

I skimmed around the forums but nothing seemed to answer this question, so here goes: I had BF2, and when I got Special Forces it patched to V1.1. Then today one of my friends got me the full files for the 1.22 patch. So I patched the game, all good, quickly modded the kits so I could check out the new weapons (the HK53 owns!), and started up the game. I played Strike at Karkand and it loaded up fine, so off I went with the L96. I tried calling in a UAV to see who was hiding in the alleyways, and the game just crashed to the desktop. I can play the game perfectly fine, but if I call in a UAV it crashes instantly. Anyone else get this and know how to fix it? I don't know for sure if this has been answered in another thread, if it has please let me know. Thanks in advance. :cya:




MiyamotoMusashi

C4'r of tanks everywhere

50 XP

23rd July 2005

0 Uploads

82 Posts

0 Threads

#2 12 years ago

re-install, repatch. Make sure no progs are running in the BG. Pray to buddah.




Aliblista(UK)

Wayne brady bitches!

50 XP

18th March 2005

0 Uploads

499 Posts

0 Threads

#3 12 years ago

this seems to be a patch problem as the uav was changed to a physical object in 1.12 i believe (correct me if wrong). So i would uninstall bf2 and sf and try installing bf2 again - then patching to 1.21 then installing sf - then patch 1.21 again (u have to do this with the exp paks 4 some reason). That should fix it hopefully. If not then try doing the same process but with all the individual patches as incrementals right up to 1.21




Aliblista(UK)

Wayne brady bitches!

50 XP

18th March 2005

0 Uploads

499 Posts

0 Threads

#4 12 years ago

this seems to be a patch problem as the uav was changed to a physical object in 1.12 i believe (correct me if wrong). So i would uninstall bf2 and sf and try installing bf2 again - then patching to 1.22 then installing sf - then patch 1.22 again (u have to do this with the exp paks 4 some reason). That should fix it hopefully. If not then try doing the same process but with all the individual patches as incrementals right up to 1.22

or of course it cud be that you've been using the new weapons without getting the booster pack but i doubt that.




Commie

The elusive Member 132837.

50 XP

23rd December 2005

0 Uploads

1,850 Posts

0 Threads

#5 12 years ago

Righto, I did that, it works now. Thanks. The first thing I did was call in a UAV then blow it out of the sky with the HK21. :lol: Fun fun.